> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/saved-searches.md).

# Saved searches

Struct PIM's Saved Searches allow users to save frequently used searches and quickly access them again without recreating search criteria. Saved Searches can be used for personal workflows or&#x20;

shared with other users to support collaboration across teams.

Saved Searches can be organized into folders, edited when search requirements change, and used as Dashboard widgets to provide quick access to important information and monitor relevant updates.

***

### What you can do with Saved Searches

* **Save frequently used seaches** for quick access to recurring queries.
* **Create personal searches** and manage them under My Saved Searches.
* **Share searches with other users** through Shared Saved Searches.
* **Organize your searches** using folders and subfolders.
* **Manage existing searches** by editing, renaming, or deleting them.
* **Use Saved Searches Dashboard** widgets to display relevant search results.
* **Monitor changes and activities** by using Saved Searches in Timeline widgets.

***

### Saved Searches walkthrough

#### View saved searches

Saved searches are shown directly in the saved searches sidebar.

#### Find saved search

1. Click the 'Search for'-bar
2. Type value to search for

#### Apply saved search filter

Click the saved search you want to apply.

#### Edit saved search

1. Right-click the saved search you want to edit
2. Choose "Edit search query"
3. Modify search query
4. Click "Save query"

{% hint style="info" %}
**Tip** Read more about using the advanced filter here: [How to search efficiently](/tutorials/guides/how-to-search-efficiently.md#advanced-filter)
{% endhint %}

#### Rename saved search

1. Right-click the saved search you want to rename
2. Choose "Rename"
3. Set name

#### Delete saved search

1. Right-click the saved search you want to delete
2. Choose "Delete"
3. Confirm deletion

#### Enable saved search for timeline widget

1. Right-click the saved search you want to enable
2. Choose "Enable for timeline widget"

#### Create folder

1. Click "Options"-icon
2. Choose "Create folder"
3. Set name

#### Create subfolder

1. Right-click folder
2. Choose "Create sub folder"
3. Set name

#### Rename folder

1. Right-click folder
2. Choose "Rename"
3. Set name

#### Delete folder

1. Right-click folder
2. Choose "Delete"
3. Confirm deletion

***

### Related tutorials

* [**How to create and use Saved Searches** -  Create, manage, and organize your searches.](/tutorials/guides/how-to-use-saved-searches/how-to-create-and-use-saved-searches.md)
* [**How to use Saved Searches on Dashboards** - Add Saved Searches as widgets on Dashboard.](/tutorials/guides/how-to-use-saved-searches/how-to-use-saved-searches-on-dashboards.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.struct.com/reference/saved-searches.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
